
Redmine - Defect #10411

no such file to load -- bundler error when loading redmine

2012-03-09 13:11 - O'Neil Delpratt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

I am suddenly failing to load our redmine application from the browser. I get the following error:

Error Message:

no such file to load -- bundler

Exception class:

LoadError

Application root:

/var/www/redmine

Backtrace:

1. File    Line    Location

0    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb    36    in `gem_original_require'

1    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb    36    in `require'

2    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/utils.rb    325    in `prepare_app_process'

3    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/application_spawner.rb    176    in

`initialize_server'

4    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/utils.rb    572    in `report_app_init_status'

5    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/application_spawner.rb    174    in

`initialize_server'

6    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb    204    in `start_synchronously'

7    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb    180    in `start'

8    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/classic_rails/application_spawner.rb    149    in `start'

9    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb    219    in

`spawn_rails_application'

10    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server_collection.rb    132    in

`lookup_or_add'

11    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb    214    in

`spawn_rails_application'

12    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server_collection.rb    82    in `synchronize'

13    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server_collection.rb    79    in `synchronize'

14    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb    213    in

`spawn_rails_application'

15    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb    132    in `spawn_application'

16    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/spawn_manager.rb    275    in

`handle_spawn_application'

17    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb    357    in `__send__'

18    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb    357    in `server_main_loop'

19    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/lib/phusion_passenger/abstract_server.rb    206    in `start_synchronously'

20    /usr/lib/ruby/gems/1.8/gems/passenger-3.0.11/helper-scripts/passenger-spawn-server    99

History

#1 - 2012-03-09 14:11 - Etienne Massip

- Priority changed from High to Normal

1.3 does not use Bundler.

2025-05-03 1/2



1.4/trunk does and you need to install the Bundler gem (gem install bundler), see source:/trunk/doc/INSTALL

#2 - 2012-03-09 14:44 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/doc/INSTALL
